org.apache.xmlbeans

## Interface XmlDateTime

- All Superinterfaces:
    XmlAnySimpleType, XmlObject, XmlTokenSource
  All Known Implementing Classes:
    XmlDateTimeImpl

      public interface XmlDateTime
      extends XmlAnySimpleType

  Corresponds to the XML Schema xs:dateTime type.

  Convertible to `Calendar`, `Date`, and `GDate`.

  The XmlDateTime class only encapsulates a schema DateTime value, if you need to perform operations on dates, see the GDate class

  See Also:
    `XmlCalendar`, `GDate`, `GDuration`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `XmlDateTime.Factory` A class with methods for creating instances of `XmlDateTime`.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Calendar` | `getCalendarValue()` Returns this value as a `Calendar`
    `Date` | `getDateValue()` Returns this value as a `Date`
    `GDate` | `getGDateValue()` Returns this value as a `GDate`
    `void` | `setCalendarValue(Calendar c)` Sets this value as a `Calendar`
    `void` | `setDateValue(Date d)` Sets this value as a `Date`
    `void` | `setGDateValue(GDate gd)` Sets this value as a `GDateSpecification`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final SchemaType type

      The constant `SchemaType` object representing this schema type.

  - ### Method Detail

    - #### getCalendarValue

          Calendar getCalendarValue()

      Returns this value as a `Calendar`

    - #### setCalendarValue

          void setCalendarValue(Calendar c)

      Sets this value as a `Calendar`

    - #### getGDateValue

          GDate getGDateValue()

      Returns this value as a `GDate`

    - #### setGDateValue

          void setGDateValue(GDate gd)

      Sets this value as a `GDateSpecification`

    - #### getDateValue

          Date getDateValue()

      Returns this value as a `Date`

    - #### setDateValue

          void setDateValue(Date d)

      Sets this value as a `Date`